Home

subscribe

POST
https://xrp.nownodes.io/

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Subscribe to real-time updates for various types of data in the XRP Ledger. This method establishes a subscription to receive streaming data such as transactions, ledger closes, order book changes, and more.

Body

application/json

Subscribe to real-time updates for various types of data in the XRP Ledger. This method establishes a subscription to receive streaming data such as transactions, ledger closes, order book changes, and more.

JSON-RPC request payload.

idstring

Optional unique identifier for the subscription request.

commandstringsubscriberequired

The command name

booksArray<object>required

Array of order book specifications to subscribe to.

Show child attributes
taker_paysobjectrequired

The currency the taker would pay in the exchange.

Show child attributes
currencystring

Currency code

taker_getsobjectrequired

The currency the taker would receive in the exchange.

Show child attributes
currencystring

Currency code

issuerstring

Issuer account address

snapshotboolean

If true, include a snapshot of the current order book state. Defaults to false.

methodstringsubscribe

JSON-RPC method name.

paramsarray

Ordered JSON-RPC method parameters.

Response

200OK

HTTP 200 response for subscribe. The body contains either a successful result or a method-level JSON-RPC error.

400Bad Request

Bad Request. The request body is malformed or contains invalid JSON-RPC parameters.

401Unauthorized

Unauthorized: API key is present but rejected by the NOWNodes gateway.

405Method Not Allowed

Method Not Allowed. Returned by the NOWNodes gateway for malformed or unsupported gateway-level requests.

422Unprocessable Entity

Missing API key. The NOWNodes gateway returns plain text for this error.

500Internal Server Error

Internal Server Error. The gateway or node failed while processing the request.